> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kaleidoswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Delivery

> Endpoint for clients to queue their order for immediate retry of asset delivery.

This allows users to bypass the exponential backoff delay by queueing their order
for priority processing. The order will be processed by the background loop within
60 seconds. Useful when a user comes back online after being offline during
scheduled retry windows.

Args:
    request: Contains the order_id

Returns:
    RetryDeliveryResponse with status and message



## OpenAPI

````yaml /openapi.json post /api/v1/lsps1/retry_delivery
openapi: 3.1.0
info:
  title: Kaleidoswap RGB-LSP API
  description: API for managing swaps and channels
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/lsps1/retry_delivery:
    post:
      tags:
        - lsps1
      summary: Retry Delivery
      description: >-
        Endpoint for clients to queue their order for immediate retry of asset
        delivery.


        This allows users to bypass the exponential backoff delay by queueing
        their order

        for priority processing. The order will be processed by the background
        loop within

        60 seconds. Useful when a user comes back online after being offline
        during

        scheduled retry windows.


        Args:
            request: Contains the order_id

        Returns:
            RetryDeliveryResponse with status and message
      operationId: retry_delivery_api_v1_lsps1_retry_delivery_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RetryDeliveryRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RetryDeliveryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RetryDeliveryRequest:
      properties:
        order_id:
          type: string
          title: Order Id
          description: Order ID to retry asset delivery for
      type: object
      required:
        - order_id
      title: RetryDeliveryRequest
      description: >-
        Request model for /retry_delivery endpoint to trigger immediate keysend
        retry
    RetryDeliveryResponse:
      properties:
        status:
          $ref: '#/components/schemas/RetryDeliveryStatus'
          description: Status of the request
        message:
          type: string
          title: Message
          description: Human-readable message about the result
      type: object
      required:
        - status
        - message
      title: RetryDeliveryResponse
      description: Response model for /retry_delivery endpoint
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RetryDeliveryStatus:
      type: string
      enum:
        - processing
        - not_found
        - no_pending_delivery
        - error
      title: RetryDeliveryStatus
      description: Status codes for /retry_delivery endpoint responses
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````